MODULE MOD_MAIN
//=======================================================================================================
// ** 电机电流自动化测试，运行前必读 **
// 1. 修改该文件点位信息
// 2. 修改场景程序，对应的主程序中只允许修改 “ClkStart clk ~ ClkStop clk” 之间的代码，可在模块中新增其他函数
// 3. 修改“编程”→“工具列表”中的工具信息，制动只允许使用tool100/inertia这两个工具，可重命名
// 4. 除了调试行，其他行请勿修改，包括增加空行等，尤其是有特别注释的地方
// 5. 需要导入 autotest.xml 寄存器文件，以及新建modbus总线设备，命名为autotest，其他默认即可
// 6. 其他无需修改，如有其他需求，可联系fanmingfu@rokae.com沟通
//=======================================================================================================
// 单轴偏置负载点位
LOCAL VAR jointtarget j1_n = j:{	-165,90,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}					// 轴1 负极限 运动点位
LOCAL VAR jointtarget j1_p = j:{	165,90,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴1 正极限 运动点位
LOCAL VAR jointtarget j2_n = j:{0,-85,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴2 负极限 运动点位
LOCAL VAR jointtarget j2_p = j:{	0,125,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴2 正极限 运动点位
LOCAL VAR jointtarget j3_n = j:{	0,0,-190,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴3 负极限 运动点位
LOCAL VAR jointtarget j3_p = j:{	0,0,50,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 轴3 正极限 运动点位
LOCAL VAR jointtarget j4_n = j:{	0,0,0,-165,0,0,0 }	{EJ 0,0,0,0,0,0}					// 轴4 负极限 运动点位
LOCAL VAR jointtarget j4_p = j:{	0,0,0,165,0,0,0}	{EJ 0,0,0,0,0,0}					// 轴4 正极限 运动点位
LOCAL VAR jointtarget j5_n = j:{	0,0,0,0,-110,0,0 }	{EJ 0,0,0,0,0,0}						// 轴5 负极限 运动点位
LOCAL VAR jointtarget j5_p = j:{	0,0,0,0,110,0,0 }	{EJ 0,0,0,0,0,0}						// 轴5 正极限 运动点位
LOCAL VAR jointtarget j6_n = j:{	0,0,0,0,0,-350,0 }	{EJ 0,0,0,0,0,0}						// 轴6 负极限 运动点位
LOCAL VAR jointtarget j6_p = j:{	0,0,0,0,0,350,0 }	{EJ 0,0,0,0,0,0}						// 轴6 正极限 运动点位

// 单轴惯量负载点位
LOCAL VAR jointtarget j4_n_inertia = j:{	0,0,0,-165,0,0,0 }	{EJ 0,0,0,0,0,0}					// 轴4 负极限 运动点位
LOCAL VAR jointtarget j4_p_inertia = j:{	0,0,0,165,0,0,0}	{EJ 0,0,0,0,0,0}					// 轴4 正极限 运动点位
LOCAL VAR jointtarget j5_n_inertia = j:{	0,0,0,0,-110,0,0 }	{EJ 0,0,0,0,0,0}						// 轴5 负极限 运动点位
LOCAL VAR jointtarget j5_p_inertia = j:{	0,0,0,0,110,0,0 }	{EJ 0,0,0,0,0,0}						// 轴5 正极限 运动点位
LOCAL VAR jointtarget j6_n_inertia = j:{	0,0,0,0,0,-350,0 }	{EJ 0,0,0,0,0,0}						// 轴6 负极限 运动点位
LOCAL VAR jointtarget j6_p_inertia = j:{	0,0,0,0,0,350,0 }	{EJ 0,0,0,0,0,0}						// 轴6 正极限 运动点位

// 保持电流点位
LOCAL VAR jointtarget j1_hold = j:{0,90,-90,0,0,0,0} {EJ 0,0,0,0,0,0}					// 一轴保持电流点位
LOCAL VAR jointtarget j2_hold = j:{0,90,-90,0,0,0,0} {EJ 0,0,0,0,0,0}					// 二轴保持电流点位
LOCAL VAR jointtarget j3_hold = j:{0,0,0,0,0,0,0} {EJ 0,0,0,0,0,0}						// 三轴保持电流点位
LOCAL VAR jointtarget j4_hold = j:{0,0,0,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 四轴保持电流点位
LOCAL VAR jointtarget j5_hold = j:{0,0,0,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 五轴保持电流点位
LOCAL VAR jointtarget j6_hold = j:{0,0,0,0,0,0,0 }	{EJ 0,0,0,0,0,0}						// 六轴保持电流点位


GLOBAL PROC main()
	tool p_tool = tool100                // 实际测试，这里需要修改成 tool100
	tool i_tool = tool_inertia                   // 实际测试，这里需要修改成tool_inertia，未用到，可忽略
	speed p_speed = vmax
	VelSet 100
	MoveAbsJ p_home, p_speed, z50, p_tool
	
	WriteRegByName(ready_to_go, True)
	While(True)
		ReadRegByName(act, t_act)
		If(t_act == True)
			break
		Else
			Wait 1
		Endif
	Endwhile
	
// The line exactly below, should NOT be deleted 
// 如下所有行，请勿删减新增，可调试修改
scenario(3, j3_hold, j6_n, p_speed, p_tool, i_tool)
// DONOTDELETE

ENDPROC

ENDMODULE