//=======================================================================================================
// ** 制动性能自动化测试，运行前必读 **
// 1. 修改该文件点位信息
// 2. 修改“编程”→“工具列表”中的工具信息，制动只允许使用tool33/tool66/tool100/inertia这四个工具，不可重命名
// 3. 除了调试行，其他行请勿修改，包括增加空行等，尤其是有特别注释的地方
// 4. -
// 5. 需要导入 autotest.xml 寄存器文件，以及新建modbus总线设备，命名为autotest，其他默认即可
// 6. 其他无需修改，如有其他需求，可联系fanmingfu@rokae.com沟通
// 7. 需要额外硬件接线，详细参考configs.xlsx中急停接线图sheet页，其中DO0_0视硬件情况，可能为其他名称
// 8. 运行自动化程序之前，确保机器处于正常状态，无故障，未触发急停
// 9. 运行过程中，如果是因为机器问题无法达到额定百分比速度，会在日志输出框提示，注意观察
// 10. 由于xCore系统问题，运行过程中可能会出现机器人宕机问题，如果遇到，可以手动重启控制柜，重新运行
// 11. 务必正确填写configs.xlsx中的Target页面，A1单元格可以选择正负方向急停
// 12. 工程文件可以手动重命名，按照机型存档，或者导出用于自动化测试
//=======================================================================================================
// 一轴
LOCAL VAR jointtarget  j1_100_n = j:{ -160,90,-90,0,0,0,0 } {EJ 0,0,0,0,0,0}								// 轴1 100%臂展 运动点位
LOCAL VAR jointtarget  j1_100_p= j:{ 160,90,-90,0,0,0,0 }	{EJ 0,0,0,0,0,0}							// 轴1 100%臂展 运动点位
LOCAL VAR jointtarget j1_66_n = j:{ -160,37.36,9.45,0,-46.81,0,0 }	{EJ 0,0,0,0,0,0}					// 轴1 66%臂展 运动点位
LOCAL VAR jointtarget j1_66_p= j:{ 160,37.36,9.45,0,-46.81,0,0 } {EJ 0,0,0,0,0,0}					// 轴1 66%臂展 运动点位
LOCAL VAR jointtarget j1_33_n = j:{ -160,9.6,54.5,0,-63.65,0,0 } {EJ 0,0,0,0,0,0}							// 轴1 33%臂展 运动点位
LOCAL VAR jointtarget j1_33_p= j:{ 160,9.6,54.5,0,-63.65,0,0 }	{EJ 0,0,0,0,0,0}						// 轴1 33%臂展 运动点位

// 二轴
LOCAL VAR jointtarget j2_100_n = j:{ 0,-80,-90,0,0,0,0} {EJ 0,0,0,0,0,0}								// 轴2 100%臂展 运动点位
LOCAL VAR jointtarget j2_100_p = j:{ 0,120,-90,0,0,0,0 } {EJ 0,0,0,0,0,0}							    // 轴2 100%臂展 运动点位
LOCAL VAR jointtarget j2_66_n = j:{ 0,-80,9.45,0,-46.81,0,0 } {EJ 0,0,0,0,0,0}					// 轴2 66%臂展 运动点位
LOCAL VAR jointtarget j2_66_p = j:{ 	0,100,7.8,0,-38.6,0,0  } {EJ 0,0,0,0,0,0}				// 轴2 66%臂展 运动点位
LOCAL VAR jointtarget j2_33_n = j:{ 0,-80,54.5,0,-63.65,0,0 } {EJ 0,0,0,0,0,0}					// 轴2 33%臂展 运动点位
LOCAL VAR jointtarget j2_33_p = j:{ 0,78,35.5,0,-41.3,0,0 } {EJ 0,0,0,0,0,0}					// 轴2 33%臂展 运动点位

// 三轴
LOCAL VAR jointtarget j3_100_n = j:{ 0,0,-190,0,0,0,0}	{EJ 0,0,0,0,0,0}						        // 轴3 100%臂展 运动点位
LOCAL VAR jointtarget j3_100_p = j:{ 0,0,45,0,0,0,0}	{EJ 0,0,0,0,0,0}							        // 轴3 100%臂展 运动点位

GLOBAL PROC main()
	speed p_speed = vmax
	tool p_tool = tool100
	VelSet 100
	MoveAbsJ p_home,p_speed,z50,p_tool   // 请勿修改该行和上一行的关系
	
	WriteRegByName(ready_to_go, True)
	While(True)
		ReadRegByName(act, t_act)
		If(t_act == True)
			break
		Else
			Wait 1
		Endif
	Endwhile
	
// The line exactly below, should NOT be deleted 
// 如下所有行，请勿删减新增行，可调试修改
brake_E(j2_33_p, j2_33_n, p_speed, p_tool)
// DONOTDELETE

ENDPROC

